from chemsh       import *
from chemsh.utils import testutils

no2 = Fragment(coords="no2.cjson")

pyscf = PySCF(frag=no2, method="hf", basis="3-21g", charge=1)

sp = SP(theory=pyscf, gradients=True)
sp.run()

ecalc = sp.result.energy

# Tcl-ChemShell 3.7.1/ORCA 4.2.1 result
# convergence=normalscf from Tcl-ChemShell
#eref = -202.388527597706
# convergence=tightscf
#eref = -202.388527604518
# ORCA 5.0.3 
#eref = -202.3885276

#pyscf reference
eref = -202.388527607

testutils.validate(ecalc, eref)
